Bug 478180 - MIGRATED_FROM_JIRA: PenroseSession.java ignores any changes to data the event handler
MIGRATED_FROM_JIRA: PenroseSession.java ignores any changes to data the event...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:06 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:06:43 EST
PenroseSession.java notifies modules of pending events, but then ignores any
changes to data the event handler makes in every case except search. For
example, take the following line from the bind method:

   public int bind(String dn, String password) throws Exception {
       ...
       int rc = handler.bind(this, dn, password);
       ...
   }

This line actually performs the bind, but for my use, must be updated to use
the values contained within the beforeBindEvent object, allowing them to be
changed within the beforeBind event handler. The updated line contains:

       int rc = handler.bind(this, beforeBindEvent.getDn(),
beforeBindEvent.getPassword());

This is similar to the code that is already implemented in the search event
handler. Similar changes are required to each of the other event handlers; I
have attached an updated class file reflecting these changes. Since this
change can be made without any impact on existing code, and greatly enhances
module capabilities (and enables the kind of module I have written), I would
like it to be considered as a Penrose 1.2 enhancement.
Additional Comments From jimyang dated Tue Feb 27 12:15:58 CST 2007 
Contribution from JWilson

Additional Comments From endisd dated Tue Mar 20 14:52:32 CDT 2007 
All parameters are now stored in the request object which is modifiable by custom modules.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'attachmentNames' => 'PenroseSession.java',
          'reporter' => 'jimyang',
          'key' => 'PENROSE-206',
          'assignee' => 'endisd',
          'summary' => 'PenroseSession.java ignores any changes to data the event handler',
          'id' => '10609',
          'updated' => '2007-03-23 19:35:56.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2007-05-18 00:00:00.0',
                             'sequence' => '22',
                             'name' => 'Penrose-1.2',
                             'released' => 'true',
                             'id' => '10088',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'PenroseSession.java notifies modules of pending events, but then ignores any
changes to data the event handler makes in every case except search. For
example, take the following line from the bind method:

   public int bind(String dn, String password) throws Exception {
       ...
       int rc = handler.bind(this, dn, password);
       ...
   }

This line actually performs the bind, but for my use, must be updated to use
the values contained within the beforeBindEvent object, allowing them to be
changed within the beforeBind event handler. The updated line contains:

       int rc = handler.bind(this, beforeBindEvent.getDn(),
beforeBindEvent.getPassword());

This is similar to the code that is already implemented in the search event
handler. Similar changes are required to each of the other event handlers; I
have attached an updated class file reflecting these changes. Since this
change can be made without any impact on existing code, and greatly enhances
module capabilities (and enables the kind of module I have written), I would
like it to be considered as a Penrose 1.2 enhancement.',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-12-25 00:00:00.0',
                                 'sequence' => '21',
                                 'name' => 'Penrose-1.1.3',
                                 'released' => 'true',
                                 'id' => '10092',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2007-02-27 12:15:10.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:06:45 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-206

Note You need to log in before you can comment on or make changes to this bug.